/*******************************************************************************
* File Name: GetChargeStatus.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GetChargeStatus_ALIASES_H) /* Pins GetChargeStatus_ALIASES_H */
#define CY_PINS_GetChargeStatus_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define GetChargeStatus_0			(GetChargeStatus__0__PC)
#define GetChargeStatus_0_PS		(GetChargeStatus__0__PS)
#define GetChargeStatus_0_PC		(GetChargeStatus__0__PC)
#define GetChargeStatus_0_DR		(GetChargeStatus__0__DR)
#define GetChargeStatus_0_SHIFT	(GetChargeStatus__0__SHIFT)
#define GetChargeStatus_0_INTR	((uint16)((uint16)0x0003u << (GetChargeStatus__0__SHIFT*2u)))

#define GetChargeStatus_INTR_ALL	 ((uint16)(GetChargeStatus_0_INTR))


#endif /* End Pins GetChargeStatus_ALIASES_H */


/* [] END OF FILE */
