/*******************************************************************************
* File Name: SetChargeStatus.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SetChargeStatus_ALIASES_H) /* Pins SetChargeStatus_ALIASES_H */
#define CY_PINS_SetChargeStatus_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define SetChargeStatus_0			(SetChargeStatus__0__PC)
#define SetChargeStatus_0_PS		(SetChargeStatus__0__PS)
#define SetChargeStatus_0_PC		(SetChargeStatus__0__PC)
#define SetChargeStatus_0_DR		(SetChargeStatus__0__DR)
#define SetChargeStatus_0_SHIFT	(SetChargeStatus__0__SHIFT)
#define SetChargeStatus_0_INTR	((uint16)((uint16)0x0003u << (SetChargeStatus__0__SHIFT*2u)))

#define SetChargeStatus_INTR_ALL	 ((uint16)(SetChargeStatus_0_INTR))


#endif /* End Pins SetChargeStatus_ALIASES_H */


/* [] END OF FILE */
