/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

#define SAMPLELENGTH 511
#define PI 3.14159265
#define FRAME_ARRAY_SIZE 12

void calc_square(uint8 *samplevalues,uint8 minval, uint8 maxval, uint8 dutycycle);
void calc_sine(uint8 *samplevalues, uint8 minval, uint8 maxval );
void calc_off(uint8 *samplevalues );
void calc_triangle(uint8 *samplevalues, uint8 minval, uint8 maxval);
void calc_sawtooth(uint8 *samplevalues, uint8 minval, uint8 maxval);

    enum patterntype 
    {
     OFF=0,
     TRIANGLE=1,
     SAWTOOTH=2,
     SINEWAVE=3,
     SQUARE=4
    };
    enum FrameParams 
    {
     ID=0,
     PATTERN_TYPE,
     NOT_IN_USE_1,
     EXEOUTIONCOUNT,
     MIN_AMP_OUT_1,
     MAX_AMP_OUT_1,
     MIN_AMP_OUT_2,
     MAX_AMP_OUT_2,
     MIN_AMP_OUT_3,
     MAX_AMP_OUT_3,
     DUTY_CYCLE,
     SPEED,
     FRAME_MAX=FRAME_ARRAY_SIZE
        
    };
    
 